Package org.apache.uima.util

# Class NameClassPair

java.lang.Object
org.apache.uima.util.NameClassPair

All Implemented Interfaces:
  `Serializable`

public class NameClassPair extends Object implements Serializable
A class that stores the name of an attribute and the Class of that attribute's value.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameClassPair(String aName, String aClassName)`
  Creates a new `NameClassPair` with the specified name and class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object aObj)`
  Determines if two NameClassPairs are equal.
  `String`
  `getClassName()`
  Gets the class name of the attribute's value.
  `String`
  `getName()`
  Gets the name of the attribute.
  `int`
  `hashCode()`
  Gets the hash code for this object.
  `String`
  `toString()`
  Gets string representation of this object; useful for debugging.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NameClassPair

    public NameClassPair(String aName, String aClassName)
    Creates a new `NameClassPair` with the specified name and class.
    Parameters:
      `aName` - the name of an attribute
      `aClassName` - the name of the class of that attribute's value

- ## Method Details

  - ### getName

    public String getName()
    Gets the name of the attribute.
    Returns:
      the name

  - ### getClassName

    public String getClassName()
    Gets the class name of the attribute's value.
    Returns:
      the class name

  - ### equals

    public boolean equals(Object aObj)
    Determines if two NameClassPairs are equal. Two NameClassPairs are equal if both their Name and ClassName properties are equal.
    Overrides:
      `equals` in class `Object`
    Returns:
      the class name

  - ### hashCode

    public int hashCode()
    Gets the hash code for this object. The hash codes of two NameClassPairs `x` and `y` must be equal if `x.equals(y)` returns true;
    Overrides:
      `hashCode` in class `Object`
    Returns:
      the hash code for this object

  - ### toString

    public String toString()
    Gets string representation of this object; useful for debugging.
    Overrides:
      `toString` in class `Object`
    Returns:
      string representation of this object